aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-crypt-rc4/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 09:32:51 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 11:24:37 +0000
commit6d214e6aac8320ae1d14fd7d7637caedafe8b457 (patch)
treedf93a205ee8013c713f2bc659d849377df64b0c7 /community/perl-crypt-rc4/APKBUILD
parent99aa3a6fd0994bf99590a4ab06947af09cf3b6e3 (diff)
downloadaports-6d214e6aac8320ae1d14fd7d7637caedafe8b457.tar.gz
aports-6d214e6aac8320ae1d14fd7d7637caedafe8b457.tar.bz2
aports-6d214e6aac8320ae1d14fd7d7637caedafe8b457.tar.xz
community/perl-crypt-rc4: moved from testing
Diffstat (limited to 'community/perl-crypt-rc4/APKBUILD')
-rw-r--r--community/perl-crypt-rc4/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/community/perl-crypt-rc4/APKBUILD b/community/perl-crypt-rc4/APKBUILD
new file mode 100644
index 0000000000..78cf1931bf
--- /dev/null
+++ b/community/perl-crypt-rc4/APKBUILD
@@ -0,0 +1,39 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-crypt-rc4
+_pkgreal=Crypt-RC4
+pkgver=2.02
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Crypt-RC4/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SI/SIFUKURT/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="4ca59a7e58ac9597c3b4f3f46ea22629 Crypt-RC4-2.02.tar.gz"